
QGIS Application - Bug report #12959

No visual feedback when moving geometries with the node tool

2015-06-13 11:57 PM - Paul Kanelli

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21038

Description

I use the node tool when moving geometries which have to snap to other geometries. In QGIS 1.9 there is a visual feedback of the

movement but not of the snapping itself.

https://www.youtube.com/watch?v=Ofwyu64rOsQ

In this clip the blue polygon border shows the movement of the geometry but the pink cross for snapping is missing.

Doing the same in QGIS 2.9.0-Master I don't have any visual feedback of the movement and the snapping.

Associated revisions

Revision c54013c4 - 2015-06-14 12:32 PM - Jürgen Fischer

node tool: show rubberband when moving (fixes #12959)

Revision 8f33dc46 - 2015-06-29 10:33 PM - Jürgen Fischer

node tool: show rubberband when moving (fixes #12959)

(cherry picked from commit c54013c4cd2931142a81c0e6ec72eef4c7ae3c93)

History

#1 - 2015-06-14 01:40 AM - Giovanni Manghi

- OS version deleted (15.04)

- Operating System deleted (Ubuntu)

- Target version changed from Version 2.10 to Future Release - High Priority

- Priority changed from High to Severe/Regression

- Category set to Map Canvas

Confirmed, it seems that this has regressed since 2.8.*. (was fine in 2.6).

#2 - 2015-06-14 04:18 AM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"c54013c4cd2931142a81c0e6ec72eef4c7ae3c93".
